$('.proveedor').DataTable({
    "autoWidth": false,
    "deferRender":true,
    "retrieve":true,
    "scrollCollapse": true,
    "paging": false,
    "processing": false,
    "sScrollY": "75vh",
    "stateSave":  true,
    "language": {

            "decimal": "",
            "sEmptyTable": "No hay información",
            "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "sInfoEmpty": "Mostrando 0 to 0 of 0 Entradas",
            "sInfoFiltered": "(Filtrado de _MAX_ total entradas)",
            "sInfoPostFix": "",
            "sInfoThousands": ",",
            "sLengthMenu": "Mostrar _MENU_ Entradas",
            "sLoadingRecords": "Cargando...",
            "sProcessing": "Procesando...",
            "sSearch": "Buscar:",
            "sZeroRecords": "Sin resultados encontrados",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendete",
                "sSortDescending": ": Activar para ordenar la columna de manera descendete",
            }
        },
        "dom": "Bfrtilp",
                "buttons": [
                    {
                        "extend": "excel",
                        "text": "<i class='fas fa-file-excel'></i>",
                        "titleAttr" : "Exportar a Excel",
                        "className": 'btn btn-success',
                        "exportOptions": {
                            "columns": ["1","2","5","4"]
                        }
                    },
                    {
                        "extend": "pdfHtml5",
                        "download": "open",
                        "text": "<i class='fas fa-file-pdf'></i>",
                        "titleAttr" : "Exportar a pdf",
                        "className": 'btn btn-danger',
                        "filename" : function() {
                            return "Reporte de Proveedores"      
                          },      
                         "exportOptions": {
                            "columns": ["1","2","3","4","5"],
                            "page": 'current'
                        },
                        "footer": true

                    },
                    {
                        "extend": "print",
                        "text": "<i class='fa fa-print'></i>",
                        "titleAttr" : "Imprimir",
                        "className": 'btn btn-info',
                        "customize": function (win) {
                            $(win.document.body)
                                .css( "font-size", "8pt" )
                            $(win.document.body).find( "table" )
                                .addClass( "compact" )
                                .css( "font-size", "8pt" );
                        }
                    }
                ]
        
});


/** EDITAR PROVEEDOR */

$(document).on("click", ".btnEditarProveedor", function(){

    var idProveedor = $(this).attr("idProveedor");

    var datos = new FormData();
    datos.append("idProveedor", idProveedor);

    $.ajax({

        url:"ajax/proveedor.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta){
            
            $("#editarRuc").val(respuesta["ruc_dni"]);
            $("#editarNombre").val(respuesta["razon_social"]);
            $("#editarCorreo").val(respuesta["email"]);
            $("#editarTelefono").val(respuesta["telefono"]);
            $("#editarDireccion").val(respuesta["direccion"]);
            $("#idProveedor").val(respuesta["id"]);
           

        }
    })
})

/*=============================================
ELIMINAR CLIENTE
=============================================*/
$(document).on("click", ".btnEliminarProveedor", function(){

	var idCliente = $(this).attr("idProveedor");
  
	swal({
	  title: '¿Está seguro de borrar al Proveedor?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Proveedor!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=proveedor&idProveedor="+idCliente;
  
	  }
  
	})
  
  })

  $("#proveedordoc").change(function(){

	var documento = $(this).val();

	if(documento == "" ){

		$(this).parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().children('.proveedores').html(

			'<div class="col-md-12" >'+
					   
			   '<div class="input-group">'+
					
				 '<input type="hidden" class="form-control"  required>'+
				 
			   '</div>'+

			 '</div>')

	}else if (documento == "RUC"){

		$(this).parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().children('.proveedores').html(
	
						'<div class="input-group mb-3">'+
						
							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-key"></span></div></div>'+
						
					    	'<input type="text" class="form-control input-lg nuevoRuc" name="nuevoRuc" id="nuevoRuc" maxlength="11"  minlength="11" tabindex="1" placeholder="Ingresar RUC" pattern="[0-9]+" required>'+
						
				'</div>')


	} else {

		$(this).parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().children('.proveedores').html(
							
						'<div class="input-group mb-3">'+
						
							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-key"></span></div></div>'+
						
							'<input type="text" class="form-control input-lg nuevoRuc" name="nuevoRuc" id="nuevoRuc" maxlength="8"  minlength="8" tabindex="1" placeholder="Ingresar DNI" pattern="[0-9]+" required>'+
						
				'</div>')
	}

    /*=============================================
        REVISAR SI EL CLIENTE YA ESTÁ REGISTRADO
    =============================================*/

        $("#nuevoRuc").change(function(){

            $(".alert").remove();

            var proveedor = $(this).val();

            var datos = new FormData();
            datos.append("validarProveedor", proveedor);

            $.ajax({
                url:"ajax/proveedor.ajax.php",
                method:"POST",
                data: datos,
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success:function(respuesta){
                    
                    if(respuesta){

                        $("#nuevoRuc").parent().after('<div class="alert alert-warning">Este Ruc ya existe en la base de datos</div>');
                        $("#nuevoRuc").val("");
                    }
                }
            })
        })
})

$(".razon_social").change(function(){

	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 4) {

		$(".razon_social").parent().after('<div class="alert alert-warning">EL NOMBRE DEBE CONTENER MINIMO 4 LETRAS </div>');

		$(".razon_social").val("");
	}
	
})

$(".direccion").change(function(){
	
	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 10) {

		$(".direccion").parent().after('<div class="alert alert-warning">LA DIRECCION DEBE CONTENER COMO MINIMO 10 LETRAS </div>');

		$(".direccion").val("");
	}
	
})